JSP debugging in Tomcat 4.1

I have looked at the posts and tried setting "web module settings" but have not been successful in jsp debugging in IDEA 4.0.3. Class debugging works fine.

Is there some documentation i can look at to see what am I missing.

thanks

6 comments
Comment actions Permalink

IDEA doesn't support Tomcat 4.1 because of incompatible build changes Jakarta made between 4.x versions. If you want to use Tomcat 4 series you will have to download Tomcat 4.0.6 from the archives and use that. It works perfectly.

http://archive.apache.org/dist/jakarta/tomcat-4/archive/v4.0.6/

0
Comment actions Permalink

Hi,

Most likely replacing jasper in 4.1.X with old jasper (from Tomcat
4.0.X) should be enough.

Rob Bradley wrote:

IDEA doesn't support Tomcat 4.1 because of incompatible build changes Jakarta made between 4.x versions. If you want to use Tomcat 4 series you will have to download Tomcat 4.0.6 from the archives and use that. It works perfectly.

http://archive.apache.org/dist/jakarta/tomcat-4/archive/v4.0.6/



--
Best regards,
Maxim Mossienko
IntelliJ Labs / JetBrains Inc.
http://www.intellij.com
"Develop with pleasure!"

0
Comment actions Permalink

Hmm... I didn't know you could do that. I assume it has no adverse effects on the 4.1.x server builds?

0
Comment actions Permalink

I will try Tomcat 4.0.6. What if I get the latest version 5. Will that work also.

Thanks for the responses
thanks

0
Comment actions Permalink

Yes, 5 works.

"nagwani" <no_mail@jetbrains.com> wrote in message
news:22455499.1087407592265.JavaMail.itn@is.intellij.net...

I will try Tomcat 4.0.6. What if I get the latest version 5. Will that

work also.
>

Thanks for the responses
thanks



0
Comment actions Permalink

Tomcat 5 doesn't work under IDEA 4.0.3 because of a known regression bug which has been fixed in the upcoming IDEA 4.0.4 and IDEA 4.5 releases. If you use IDEA 4.0.2 it will work ok, as it will if you use either of the builds currently in EAP.

0

Please sign in to leave a comment.